<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Dosen</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div th:if="${success != null}" class="alert alert-success" role="alert">
                <span th:text="${success}"></span>
            </div>

            <div class="row mb-4">
                <div class="col-md-8">
                    <h3 class="text-black">Daftar Dosen SI-BKD</h3>
                </div>
                <div class="col-md-4 justify-content-end" align="right">
                    <a class="btn btn-outline-success pull-right" th:href="@{/dosen/baru}">+ Tambah dosen</a>
                </div>
            </div>
            <form method="get">
                <div class="row mb-4">
                    <div class="col-md-2">
                        <select class="form-select" id="selectsatu" name="jabatan" aria-label="Default select example">
                            <option value="-" selected>Semua</option>
                            <option th:each="jabatan : ${listJabatan}"
                                    th:selected="(${jabatan} == *{selectedJabatan})"
                                    th:text="${jabatan.namaJabatanStruktural}"
                                    th:value="${jabatan.id}">Dosen Biasa</option>
                        </select>
                    </div>
                    <div class="col-md-9">
                        <input type="text" name="search" class="form-control" th:value="${search}" placeholder="Cari pengguna berdasarkan nama, email atau jabatan struktural" aria-label="First name">
                    </div>
                    <div class="col-md-1 d-grid gap-2">
                        <button class="btn btn-success">Cari</button>
                    </div>
                </div>
            </form>
            <div class="row mb-5">
                <div class="col-md-12 table-responsive">
                    <table class="table table-striped table-responsive">
                        <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                        <tr>
                            <th class="p-3">No</th>
                            <th class="p-3">Nama Lengkap</th>
                            <th class="p-3">Email</th>
                            <th class="p-3">Telepon</th>
                            <th class="p-3">Jabatan Struktural</th>
                            <th class="p-3" colspan="2"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data,row : ${list}">
                            <td class="align-middle" th:text="${(row.index + 1) + (list.number * list.size)}">1</td>
                            <td class="align-middle" th:text="${data.nama}">Adi Mulya Suprayogi</td>
                            <td class="align-middle" th:text="${data.email}">suprayogi20@gmail.com</td>
                            <td class="align-middle" th:text="${data.telepon}">12345</td>
                            <td class="align-middle" th:text="${data.jabatanStruktural.namaJabatanStruktural}">Dosen Biasa</td>
                            <td class="align-middle" width="5px">
<!--                                <a class="btn btn-success">Detail</a>-->
                            </td>
                            <td class="align-middle" width="5px">
                                <a th:href="@{/dosen/baru (id = ${data.id})}" class="btn btn-warning">Edit</a>
                            </td>
                        </tr>

                        </tbody>
                    </table>

                    <nav>
                        <ul class="pagination" sd:pagination="full">
                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                            <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                        </ul>
                    </nav>
                </div>
            </div>

        </div>
    </div>


</div>
</body>
</html>